Back to Text to speech
fal.ai·Text to speech
MiniMax Speech-02 HD
/fal-ai/minimax/speech-02-hdasync$0.15 / 1,000 charactersGenerate speech from text prompts and different voices using the MiniMax Speech-02 HD model, which leverages advanced AI techniques to create high-quality text-to-speech. Returns hosted file URLs (download promptly; fal keeps them for a limited time). Billed per 1,000 characters.
Charged per 1,000 characters produced; a call that produces nothing is charged one unit.
Input
output_formatstringFormat of the output content (non-streaming only) (default "hex")
url, hex
voice_settingobjectvoice_setting
language_boostanyEnhance recognition of specified languages and dialects
audio_settingobjectaudio_setting
pronunciation_dictanyCustom pronunciation dictionary for text replacement
textstringrequiredText to convert to speech (max 5000 characters, minimum 1 non-whitespace character)
| Field | Type | Required | Description |
|---|---|---|---|
| output_format | string (url, hex) | — | Format of the output content (non-streaming only) (default "hex") |
| voice_setting | object | — | voice_setting |
| language_boost | any | — | Enhance recognition of specified languages and dialects |
| audio_setting | object | — | audio_setting |
| pronunciation_dict | any | — | Custom pronunciation dictionary for text replacement |
| text | string | yes | Text to convert to speech (max 5000 characters, minimum 1 non-whitespace character) |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"fal","endpoint":"/fal-ai/minimax/speech-02-hd","input":{"text":"Hello from Sooma."}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.